#ifndef __BLOCK_DEVICE_H
#define __BLOCK_DEVICE_H

#include "types.h"

inline void _ioc_block_device_init(uint32_t *addr);
inline int _ioc_read(size_t lba, void *buffer, size_t count);
inline uint32_t _ioc_read_block_size();

#endif
